- Qt 6.6
- Qt Sensors
- C++ Classes
- QCompass
- Qt 6.6.2 Reference Documentation

# QCompass Class

The QCompass class is a convenience wrapper around QSensor. More...

Header: | #include <QCompass>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QCompass(QObject *parent = nullptr)
virtual | ~QCompass()
QCompassReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QCompassReading instead of a QSensorReading.

For details about how the sensor works, see QCompassReading.

See also QCompassReading.

## Member Function Documentation

### `[explicit]` QCompass::QCompass(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QCompass::~QCompass()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QCompassReading *QCompass::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().